\newpage

\subsection{Service 6: Memory Management}

\begin{description}
\item[Objective]\hfill\\

This Service provides the capability to load, dump and check on-board memory. It differentiates between two different types of data: raw data and structured data (called "object data"). This leads to differents TCs according to the data type stored in the addressed memory. 
\item[Service Summary]\hfill\\

\begin{table}[h]
	\centering
		\begin{tabular}{p{0.1\textwidth}p{0.2\textwidth}p{0.6\textwidth}}
			\toprule
			\textbf{TM/TC} & \textbf{Service-Type, Service Subtype} & \textbf{Description}\\
			\midrule
			\rowcolor{TcHeader!20}TC & 6,1 & Load object memory data \\
			\rowcolor{TcHeader!20}TC & 6,2 & Load raw memory data areas\\
			\rowcolor{TcHeader!20}TC & 6,3 & Dump object memory data\\
			\rowcolor{TmHeader!20}TM & 6,4 & Dumped object memory data report\\
			\rowcolor{TcHeader!20}TC & 6,5 & Dump raw memory data\\
			\rowcolor{TmHeader!20}TM & 6,6 & Dumped raw memory data report\\
			\rowcolor{TcHeader!20}TC & 6,7 & Check object memory data\\
			\rowcolor{TmHeader!20}TM & 6,8 & Checked object memory data report\\
			\rowcolor{TcHeader!20}TC & 6,9 & Check raw memory data\\
			\rowcolor{TmHeader!20}TM & 6,10 & Checked raw memory data report\\
			\rowcolor{TcHeader!20}TC & 6,12 & Abort all memory dumps\\
			\rowcolor{TcHeader!20}TC & 6,13 & Enable the scrubbing of a memory\\
			\rowcolor{TcHeader!20}TC & 6,14 & Disable the scrubbing of a memory\\
			\rowcolor{TcHeader!20}TC & 6,15 & Enable the write protection of a memory\\
			\rowcolor{TcHeader!20}TC & 6,16 & Disable the write protection of a memory\\
			\bottomrule
			\end{tabular}
		\caption{Service 6 Summary}
	\end{table}

\end{description}

% TCs / TMs

% ------------------------------------------------------------------------------
% TC 6,1
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{6,1} & \textbf{Load object memory data}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC loads object data into structured data memory.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 6 \\
		
		Service Subtype & 1 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
    \begin{table}[h]
		\centering	\begin{tabular}{|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|}
		\hline
		\rowcolor{TcHeader}
		Memory ID & Base & N & Offset & Length & Data & Checksum\\
		\hline
		\hline
		\rowcolor{TcBody}
		Enum & Enum & Unsigned\newline Integer & Unsigned\newline Integer & Unsigned\newline Integer & Variable\newline Octet-string & bit-string\newline (16 bits)\\
		\hline
		\rowcolor{TcBody}
		8 Bit&16 Bit&8 Bit&32 Bit&16 Bit&$n\cdot8$ Bit&16 Bit\\
		\hline
		\multicolumn{3}{c}{} & \multicolumn{4}{|>{\centering}p{0.45\textwidth}|}{$\leftarrow$\quad Repeated N times \quad$\rightarrow$}\\
		
		\end{tabular}\\\vspace{10pt}
		Application Data TC(6,1)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Memory ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the structured data memory to load object data into.\\
		& \\
		\textbf{Base}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=16 \end{tabular} & Base pointer (i.e. an object identifier) within the corresponding structured data memory.\\
		& \\
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of data chunks within this telecommand.The maximum value depends on the chunk size.\\
		& \\
		\textbf{Offset}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=14 \end{tabular} & The byte offset within the memory object identified by the base identifier.\\
		& \\
		\textbf{Length}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=12 \end{tabular} & The byte length of the memory object chunk.\\
		& \\
		\textbf{Data}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=11 &PFC=0 \end{tabular} & The byte data of the memory object chunk.\\
		& \\
		\textbf{Checksum}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=6 &PFC=16\end{tabular} & The checksum of the memory object chunk.\newline The structured data memory management subservice shall verify the checksum after writing the chunk into the memory.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill

% ------------------------------------------------------------------------------
% TC 6,2
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{6,2} & \textbf{Load raw memory data areas}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC loads data into raw data memory areas.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 6 \\
		
		Service Subtype & 2 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering	\begin{tabular}{|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			Memory ID & Base & N & Offset & Length & Data & Checksum\\
			\hline
			\hline
			\rowcolor{TcBody}
			Enum & Enum & Unsigned\newline Integer & Unsigned\newline Integer & Unsigned\newline Integer & Variable\newline Octet-string & bit-string\newline (16 bits)\\
			\hline
			\rowcolor{TcBody}
			8 Bit&16 Bit&8 Bit&32 Bit&16 Bit&$n\cdot8$ Bit&16 Bit\\
			\hline
			\multicolumn{3}{c}{} & \multicolumn{4}{|>{\centering}p{0.45\textwidth}|}{$\leftarrow$\quad Repeated N times \quad$\rightarrow$}\\
			
		\end{tabular}\\\vspace{10pt}
		Application Data TC(6,2)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Memory ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the raw data memory to load object data into.\\
		& \\
		\textbf{Base}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=16 \end{tabular} & Base pointer within the corresponding raw data memory.\\
		& \\
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of data chunks within this telecommand.The maximum value depends on the chunk size.\\
		& \\
		\textbf{Offset}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=14 \end{tabular} & The byte offset within the raw memory identified by the base identifier.\\
		& \\
		\textbf{Length}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=12 \end{tabular} & The byte length of the raw memory chunk.\\
		& \\
		\textbf{Data}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=11 &PFC=0 \end{tabular} & The byte data of the raw memory chunk.\\
		& \\
		\textbf{Checksum}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=6 &PFC=16\end{tabular} & The checksum of the raw memory chunk.\newline The raw data memory management subservice shall verify the checksum after writing the chunk into the memory.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill

% ------------------------------------------------------------------------------
% TC 6,3
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{6,3} & \textbf{Dump object memory data}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC dumps object data from structured data memory.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 6 \\
		
		Service Subtype & 3 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			Memory ID & Base & N & Offset & Length\\
			\hline
			\hline
			\rowcolor{TcBody}
			Enum & Enum & Unsigned\newline Integer & Unsigned\newline Integer & Unsigned\newline Integer\\
			\hline
			\rowcolor{TcBody}
			8 Bit&16 Bit&8 Bit&32 Bit&16 Bit\\
			\hline
			\multicolumn{3}{c}{} & \multicolumn{2}{|>{\centering}p{0.3\textwidth}|}{$\leftarrow$\quad Repeated N times \quad$\rightarrow$}\\
			
		\end{tabular}\\\vspace{10pt}
		Application Data TC(6,3)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
	\textbf{Memory ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the structured data memory to dump object data from.\\
	& \\
	\textbf{Base}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=16 \end{tabular} & Base pointer (i.e. an object identifier) within the corresponding structured data memory.\\
	& \\
	\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of data chunks within this telecommand.The maximum value depends on the chunk size.\\
	& \\
	\textbf{Offset}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=14 \end{tabular} & The byte offset within the memory object identified by the base identifier.\\
	& \\
	\textbf{Length}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=12 \end{tabular} & The byte length of the memory object chunk.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill

% ------------------------------------------------------------------------------
% TM 6,4
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{6,4} & \textbf{Dumped object memory data report}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TM reports the dumped object data from structured data memory.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 6 \\
		
		Service Subtype & 4 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering	
		\begin{tabular}{|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|}
			\hline
			\rowcolor{TmHeader!85}
			Memory ID & Base & N & Offset & Length & Data & Checksum\\
			\hline
			\hline
			\rowcolor{TmBody}
			Enum & Enum & Unsigned\newline Integer & Unsigned\newline Integer & Unsigned\newline Integer & Variable\newline Octet-string & bit-string\newline (16 bits)\\
			\hline
			\rowcolor{TmBody}
			8 Bit&16 Bit&8 Bit&32 Bit&16 Bit&$n\cdot8$ Bit&16 Bit\\
			\hline
			\multicolumn{3}{c}{} & \multicolumn{4}{|>{\centering}p{0.45\textwidth}|}{$\leftarrow$\quad Repeated N times \quad$\rightarrow$}\\
		\end{tabular}\\\vspace{10pt}
		Source Data TM(6,4)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Memory ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the structured data memory dumped from.\\
		& \\
		\textbf{Base}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=16 \end{tabular} & Base pointer (i.e. an object identifier) within the corresponding structured data memory.\\
		& \\
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of data chunks within this dump report. The maximum value depends on the chunk size.\\
		& \\
		\textbf{Offset}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=14 \end{tabular} & The byte offset within the memory object identified by the base identifier.\\
		& \\
		\textbf{Length}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=12 \end{tabular} & The byte length of the memory object chunk.\\
		& \\
		\textbf{Data}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=11 &PFC=0 \end{tabular} & The byte data of the memory object chunk.\\
		& \\
		\textbf{Checksum}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=6 &PFC=16\end{tabular} & The checksum of the memory object chunk.\newline The structured data memory management subservice has computed the checksum after reading the chunk from the memory.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill

% ------------------------------------------------------------------------------
% TC 6,5
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{6,5} & \textbf{Dump raw memory data}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC dumps raw data from raw data memory.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 6 \\
		
		Service Subtype & 5 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			Memory ID & Base & N & Offset & Length\\
			\hline
			\hline
			\rowcolor{TcBody}
			Enum & Enum & Unsigned\newline Integer & Unsigned\newline Integer & Unsigned\newline Integer\\
			\hline
			\rowcolor{TcBody}
			8 Bit&16 Bit&8 Bit&32 Bit&16 Bit\\
			\hline
			\multicolumn{3}{c}{} & \multicolumn{2}{|>{\centering}p{0.3\textwidth}|}{$\leftarrow$\quad Repeated N times \quad$\rightarrow$}\\
			
		\end{tabular}\\\vspace{10pt}
		Application Data TC(6,5)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Memory ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the raw data memory to dump raw data from.\\
		& \\
		\textbf{Base}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=16 \end{tabular} & Base pointer within the corresponding raw data memory.\\
		& \\
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of data chunks within this telecommand.The maximum value depends on the chunk size.\\
		& \\
		\textbf{Offset}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=14 \end{tabular} & The byte offset within the raw memory identified by the base identifier.\\
		& \\
		\textbf{Length}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=12 \end{tabular} & The byte length of the raw memory chunk.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill

% ------------------------------------------------------------------------------
% TM 6,6
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{6,6} & \textbf{Dumped raw memory data report}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TM reports the dumped raw data from raw data memory.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 6 \\
		
		Service Subtype & 6 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering	
		\begin{tabular}{|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|p{0.1\textwidth}|}
			\hline
			\rowcolor{TmHeader!85}
			Memory ID & Base & N & Offset & Length & Data & Checksum\\
			\hline
			\hline
			\rowcolor{TmBody}
			Enum & Enum & Unsigned\newline Integer & Unsigned\newline Integer & Unsigned\newline Integer & Variable\newline Octet-string & bit-string\newline (16 bits)\\
			\hline
			\rowcolor{TmBody}
			8 Bit&16 Bit&8 Bit&32 Bit&16 Bit&$n\cdot8$ Bit&16 Bit\\
			\hline
			\multicolumn{3}{c}{} & \multicolumn{4}{|>{\centering}p{0.45\textwidth}|}{$\leftarrow$\quad Repeated N times \quad$\rightarrow$}\\
		\end{tabular}\\\vspace{10pt}
		Source Data TM(6,6)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Memory ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the raw data memory dumped from.\\
		& \\
		\textbf{Base}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=16 \end{tabular} & Base pointer (i.e. an object identifier) within the corresponding raw data memory.\\
		& \\
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of data chunks within this dump report. The maximum value depends on the chunk size.\\
		& \\
		\textbf{Offset}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=14 \end{tabular} & The byte offset within the memory object identified by the base identifier.\\
		& \\
		\textbf{Length}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=12 \end{tabular} & The byte length of the memory object chunk.\\
		& \\
		\textbf{Data}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=11 &PFC=0 \end{tabular} & The byte data of the memory object chunk.\\
		& \\
		\textbf{Checksum}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=6 &PFC=16\end{tabular} & The checksum of the memory object chunk.\newline The raw data memory management subservice has computed the checksum after reading the chunk from the memory.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill

% ------------------------------------------------------------------------------
% TC 6,7
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{6,7} & \textbf{Check object memory data}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC checks object data in structured data memory.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 6 \\
		
		Service Subtype & 7 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			Memory ID & Base & N & Offset & Length\\
			\hline
			\hline
			\rowcolor{TcBody}
			Enum & Enum & Unsigned\newline Integer & Unsigned\newline Integer & Unsigned\newline Integer\\
			\hline
			\rowcolor{TcBody}
			8 Bit&16 Bit&8 Bit&32 Bit&16 Bit\\
			\hline
			\multicolumn{3}{c}{} & \multicolumn{2}{|>{\centering}p{0.3\textwidth}|}{$\leftarrow$\quad Repeated N times \quad$\rightarrow$}\\
			
		\end{tabular}\\\vspace{10pt}
		Application Data TC(6,7)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Memory ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the structured data memory to check object data in.\\
		& \\
		\textbf{Base}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=16 \end{tabular} & Base pointer (i.e. an object identifier) within the corresponding structured data memory.\\
		& \\
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of data chunks within this telecommand.The maximum value depends on the chunk size.\\
		& \\
		\textbf{Offset}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=14 \end{tabular} & The byte offset within the memory object identified by the base identifier.\\
		& \\
		\textbf{Length}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=12 \end{tabular} & The byte length of the memory object chunk.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill

% ------------------------------------------------------------------------------
% TM 6,8
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{6,8} & \textbf{Checked object memory data report}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TM reports the check result of object data in structured data memory.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 6 \\
		
		Service Subtype & 8 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering	
		\begin{tabular}{|p{0.12\textwidth}|p{0.12\textwidth}|p{0.12\textwidth}|p{0.12\textwidth}|p{0.12\textwidth}|p{0.12\textwidth}|}
			\hline
			\rowcolor{TmHeader!85}
			Memory ID & Base & N & Offset & Length & Checksum\\
			\hline
			\hline
			\rowcolor{TmBody}
			Enum & Enum & Unsigned\newline Integer & Unsigned\newline Integer & Unsigned\newline Integer & bit-string\newline (16 bits)\\
			\hline
			\rowcolor{TmBody}
			8 Bit&16 Bit&8 Bit&32 Bit&16 Bit&16 Bit\\
			\hline
			\multicolumn{3}{c}{} & \multicolumn{3}{|>{\centering}p{0.36\textwidth}|}{$\leftarrow$\quad Repeated N times \quad$\rightarrow$}\\
		\end{tabular}\\\vspace{10pt}
		Source Data TM(6,8)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Memory ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the checked structured data memory.\\
		& \\
		\textbf{Base}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=16 \end{tabular} & Base pointer (i.e. an object identifier) within the corresponding structured data memory.\\
		& \\
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of data chunks within this check report. The maximum value depends on the chunk size.\\
		& \\
		\textbf{Offset}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=14 \end{tabular} & The byte offset within the memory object identified by the base identifier.\\
		& \\
		\textbf{Length}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=12 \end{tabular} & The byte length of the memory object chunk.\\
		& \\
		\textbf{Checksum}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=6 &PFC=16\end{tabular} & The checksum of the memory object chunk.\newline The structured data memory management subservice has computed the checksum after reading the chunk from the memory.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill

% ------------------------------------------------------------------------------
% TC 6,9
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{6,9} & \textbf{Check raw memory data}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC checks raw data in raw data memory.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 6 \\
		
		Service Subtype & 9 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			Memory ID & Base & N & Offset & Length\\
			\hline
			\hline
			\rowcolor{TcBody}
			Enum & Enum & Unsigned\newline Integer & Unsigned\newline Integer & Unsigned\newline Integer\\
			\hline
			\rowcolor{TcBody}
			8 Bit&16 Bit&8 Bit&32 Bit&16 Bit\\
			\hline
			\multicolumn{3}{c}{} & \multicolumn{2}{|>{\centering}p{0.3\textwidth}|}{$\leftarrow$\quad Repeated N times \quad$\rightarrow$}\\
			
		\end{tabular}\\\vspace{10pt}
		Application Data TC(6,9)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Memory ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the raw data memory to check raw data in.\\
		& \\
		\textbf{Base}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=16 \end{tabular} & Base pointer within the corresponding raw data memory.\\
		& \\
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of data chunks within this telecommand.The maximum value depends on the chunk size.\\
		& \\
		\textbf{Offset}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=14 \end{tabular} & The byte offset within the raw memory identified by the base identifier.\\
		& \\
		\textbf{Length}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=12 \end{tabular} & The byte length of the raw memory chunk.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill

% ------------------------------------------------------------------------------
% TM 6,10
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{6,10} & \textbf{Checked raw memory data report}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TM reports the check result of raw data in raw data memory.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 6 \\
		
		Service Subtype & 10 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering	
		\begin{tabular}{|p{0.12\textwidth}|p{0.12\textwidth}|p{0.12\textwidth}|p{0.12\textwidth}|p{0.12\textwidth}|p{0.12\textwidth}|}
			\hline
			\rowcolor{TmHeader!85}
			Memory ID & Base & N & Offset & Length & Checksum\\
			\hline
			\hline
			\rowcolor{TmBody}
			Enum & Enum & Unsigned\newline Integer & Unsigned\newline Integer & Unsigned\newline Integer & bit-string\newline (16 bits)\\
			\hline
			\rowcolor{TmBody}
			8 Bit&16 Bit&8 Bit&32 Bit&16 Bit&16 Bit\\
			\hline
			\multicolumn{3}{c}{} & \multicolumn{3}{|>{\centering}p{0.36\textwidth}|}{$\leftarrow$\quad Repeated N times \quad$\rightarrow$}\\
		\end{tabular}\\\vspace{10pt}
		Source Data TM(6,10)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Memory ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the checked raw data memory.\\
		& \\
		\textbf{Base}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=16 \end{tabular} & Base pointer (i.e. an object identifier) within the corresponding raw data memory.\\
		& \\
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of data chunks within this check report. The maximum value depends on the chunk size.\\
		& \\
		\textbf{Offset}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=14 \end{tabular} & The byte offset within the memory object identified by the base identifier.\\
		& \\
		\textbf{Length}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=12 \end{tabular} & The byte length of the memory object chunk.\\
		& \\
		\textbf{Checksum}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=6 &PFC=16\end{tabular} & The checksum of the memory object chunk.\newline The raw data memory management subservice has computed the checksum after reading the chunk from the memory.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill

% ------------------------------------------------------------------------------
% TC 6,12
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{6,12} & \textbf{Abort all mempry dumps}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC aborts all memory dumps.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 6 \\
		
		Service Subtype & 12 \\
		&\\
		Application Data & The application data field shall be omitted. \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Parameter Definitions:]\hfill\\
	\\
	This TC does not include any parameters.
\end{description}

\vfill

% ------------------------------------------------------------------------------
% TC 6,13
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{6,13} & \textbf{Enable the scrubbing of a memory}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC enables the scrubbing of a memory area.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 6 \\
		
		Service Subtype & 13 \\
		&\\
		Application Data \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering	\begin{tabular}{|p{0.2\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			Memory ID\\
			\hline
			\hline
			\rowcolor{TcBody}
			Enum\\
			\hline
			\rowcolor{TcBody}
			8 Bit\\
			\hline
			
		\end{tabular}\\\vspace{10pt}
		Application Data TC(6,13)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Memory ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the data memory to enable scrubbing.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill

% ------------------------------------------------------------------------------
% TC 6,14
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{6,14} & \textbf{Disable the scrubbing of a memory}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC disables the scrubbing of a memory area.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 6 \\
		
		Service Subtype & 14 \\
		&\\
		Application Data \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering	\begin{tabular}{|p{0.2\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			Memory ID\\
			\hline
			\hline
			\rowcolor{TcBody}
			Enum\\
			\hline
			\rowcolor{TcBody}
			8 Bit\\
			\hline
			
		\end{tabular}\\\vspace{10pt}
		Application Data TC(6,14)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Memory ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the data memory to disable scrubbing.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill

% ------------------------------------------------------------------------------
% TC 6,15
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{6,15} & \textbf{Enable the write protection of a memory}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC enables the write protection of a memory area.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 6 \\
		
		Service Subtype & 15 \\
		&\\
		Application Data \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering	\begin{tabular}{|p{0.2\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			Memory ID\\
			\hline
			\hline
			\rowcolor{TcBody}
			Enum\\
			\hline
			\rowcolor{TcBody}
			8 Bit\\
			\hline
			
		\end{tabular}\\\vspace{10pt}
		Application Data TC(6,15)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Memory ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the data memory to enable write protection.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill

% ------------------------------------------------------------------------------
% TC 6,16
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{6,16} & \textbf{Disable the write protection of a memory}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC disables the write protection of a memory area.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 6 \\
		
		Service Subtype & 16 \\
		&\\
		Application Data \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering	\begin{tabular}{|p{0.2\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			Memory ID\\
			\hline
			\hline
			\rowcolor{TcBody}
			Enum\\
			\hline
			\rowcolor{TcBody}
			8 Bit\\
			\hline
			
		\end{tabular}\\\vspace{10pt}
		Application Data TC(6,16)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Memory ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the data memory to disable write protection.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill